{*****************************************************************************
 Definitions for ADSP-2181 Host Processor,  			  Ver: 0.90.2b
	created     01.Apr.95 by Analog Devices
	last chnage 30.Oct.96 by Stefan Hacker
 *****************************************************************************
}
.const  IDMA=                   0x3fe0;
.const  BDMA_BIAD=              0x3fe1;
.const  BDMA_BEAD=              0x3fe2;
.const  BDMA_BDMA_Ctrl=         0x3fe3;
.const  BDMA_BWCOUNT=           0x3fe4;
.const  PFDATA=                 0x3fe5;
.const  PFTYPE=                 0x3fe6;

.const  SPORT1_Autobuf=         0x3fef;
.const  SPORT1_RFSDIV=          0x3ff0;
.const  SPORT1_SCLKDIV=         0x3ff1;
.const  SPORT1_Control_Reg=     0x3ff2;
.const  SPORT0_Autobuf=         0x3ff3;
.const  SPORT0_RFSDIV=          0x3ff4;
.const  SPORT0_SCLKDIV=         0x3ff5;
.const  SPORT0_Control_Reg=     0x3ff6;
.const  SPORT0_TX_Channels0=    0x3ff7;
.const  SPORT0_TX_Channels1=    0x3ff8;
.const  SPORT0_RX_Channels0=    0x3ff9;
.const  SPORT0_RX_Channels1=    0x3ffa;
.const  TSCALE=                 0x3ffb;
.const  TCOUNT=                 0x3ffc;
.const  TPERIOD=                0x3ffd;
.const  IO_Wait_Reg=            0x3ffe;
.const  System_Control_Reg=     0x3fff;

{******************************************************************************
 Definitions for functions calls, visibility of variables, names of labels
	created     14.Aug.96 by Stefan Hacker
	last change 05.Sep.96 by Stefan Hacker
 ******************************************************************************
}
.external   start;		{ INTVEC start of program }

.external   init_uart;          { UART FUNC: initialize baudrate etc. }
.external   out_char_ax1;       { UART FUNC: output a character }
.external   get_char_ax1;       { UART FUNC: wait & get input character }
.external   get_char_ax1_to;    { UART FUNC: wait & get input char. with timeout }
.external   out_int_ar;         { UART FUNC: output content of ar }
.external   get_int_ar_to;      { UART FUNC: wait & get input int with timeout }
.external   turn_rx_on;         { UART FUNC: enable the rx section }
.external   turn_rx_off;        { UART FUNC: disable the rx section }
.external   process_a_bit;      { UART FUNC: timer interrupt routine for RX and TX }
.external   flag_tx_ready;      { UART FLAG: indicating UART is ready for new tx word }
.external   flag_rx_no_word;    { UART FLAG: indicates a word is not in the user_rx_buffer }
.external   flag_rx_ready;      { UART FLAG: flag indicating UART is doing new rx word }
.external   char_ready;         { UART FLAG: input character ready }

.external   send_16;		{ UTILITY FUNC: send 16bit data stream }
.external   char2hex;		{ UTILITY FUNC: convert char to hex }
.external   hex2char;		{ UTILITY FUNC: convert hex to char }
.external   v16bit_ascii;	{ UTILITY FUNC: converts 16bit value to 4 ascii }
.external   ascii_8bit;		{ UTILITY FUNC: converts 2 ascii to 8bit value }
.external   ascii_16bit;	{ UTILITY FUNC: converts 4 ascii to 16bit value }
.external   inkey_data;		{ UTILITY FUNC: collects 4 ascii for 16bit value }
.external   inkey_ascii;	{ UTILITY FUNC: collects 4 ascii for 16bit value }
.external   wait_cr;		{ UTILITY FUNC: wait for C/R from UART }
.external   con_c2h;		{ UTILITY FLAG: error flag for false input }
.external   rbit_out;		{ UTILITY VAR:  holds result of ascii_xxbit }
.external   obit_in;		{ UTILITY VAR:  holds input for v16bit_ascii }
.external   inkey;		{ UTILITY VAR:  holds result of inkey_data }

.external   cmdProc;            { COMMAND FUNC: command processor }

.external   bdma_setup;		{ FLSH FUNC: sets up BDMA port, wait states }
.external   prog_byte;		{ FLSH FUNC: writes a byte to the FLASH }
.external   read_byte;		{ FLSH FUNC: reads a byte from the FLASH }
.external   sect_erase;		{ FLSH FUNC: erases the specified sector }
.external   auto_inc;		{ FLSH FUNC: increments the program address }
.external   d_byte;		{ FLSH VAR:  holds the data byte }
.external   c_byte;		{ FLSH VAR:  holds the command byte }
.external   addr_hi;		{ FLSH VAR:  holds high FLASH address }
.external   addr_lo;		{ FLSH VAR:  holds low FLASH address }

.external   mot_read;		{ MOT_S2 FUNC: data receiver section }
.external   offset;		{ MOT_S2 VAR:  additional offset }
.external   bootcode;		{ MOT S2 VAR:  modified boot code }
.external   mflag;		{ MOT_S2 FLAG: 0 for user download }
